org.bouncycastle.asn1.cryptopro

## Class Gost2814789EncryptedKey

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cryptopro.Gost2814789EncryptedKey

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class Gost2814789EncryptedKey
      extends ASN1Object

       Gost28147-89-EncryptedKey ::=   SEQUENCE {
             encryptedKey         Gost28147-89-Key,
             maskKey              [0] IMPLICIT Gost28147-89-Key
                                       OPTIONAL,
             macKey               Gost28147-89-MAC
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Gost2814789EncryptedKey(byte[] encryptedKey, byte[] macKey)`
    `Gost2814789EncryptedKey(byte[] encryptedKey, byte[] maskKey, byte[] macKey)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getEncryptedKey()`
    `static Gost2814789EncryptedKey` | `getInstance(java.lang.Object obj)`
    `byte[]` | `getMacKey()`
    `byte[]` | `getMaskKey()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Gost2814789EncryptedKey

          public Gost2814789EncryptedKey(byte[] encryptedKey,
                                         byte[] macKey)

    - #### Gost2814789EncryptedKey

          public Gost2814789EncryptedKey(byte[] encryptedKey,
                                         byte[] maskKey,
                                         byte[] macKey)

  - ### Method Detail

    - #### getInstance

          public static Gost2814789EncryptedKey getInstance(java.lang.Object obj)

    - #### getEncryptedKey

          public byte[] getEncryptedKey()

    - #### getMaskKey

          public byte[] getMaskKey()

    - #### getMacKey

          public byte[] getMacKey()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.